Patch Subscriptions
1 min
PATCH
https://api.nue.io/orders/subscriptions
Body Parameters
- bodyobject[]requiredDescription
- idstringrequiredExampleDescription
- billingPeriodstringExampleDescription
- billCycleDaystringExampleDescription
- billCycleStartMonthstringExampleDescription
- billingTimingstringExampleDescription
- entityIdstringExampleDescription
- billingAccountIdstringExampleDescription
- defaultPaymentMethodIdstringExampleDescription
- autoRenewbooleanExampleDescription
- paymentTermstringExampleDescription
- descriptionstringDescription
- carvesLiabilitySegmentstringDescription
- carvesRevenueSegmentstringDescription
- carvesEligiblebooleanDescription
- contractRevenueSegmentstringDescription
- contractLiabilitySegmentstringDescription
- customFieldstringDescription
Responses
200
- UpdateBillingModelResponse
- statusstring<FAILURE | SUCCESS | PARTIAL_SUCCESS>AllowedFAILURESUCCESSPARTIAL_SUCCESS
- failuresFailure[]
- entityobject
- errorstring
- recordsToUpdateinteger<int32>Formatint32
- recordsUpdatedinteger<int32>Formatint32
curl
curl --request PATCH \
--url https://api.nue.io/orders/subscriptions \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data '[
{
"id": "802KS000000USFiYAO"
}
]'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var raw = JSON.stringify([
{
"id": "802KS000000USFiYAO"
}
]);
var requestOptions = {
method: 'PATCH',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://api.nue.io/orders/subscriptions", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.nue.io/orders/subscriptions")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request.body = JSON.dump([
{
"id": "802KS000000USFiYAO"
}
])
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.nue.io/orders/subscriptions"
payload = json.dumps([
{
"id": "802KS000000USFiYAO"
}
])
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("PATCH", url, headers=headers, data=payload)
print(response.text)
200
// Default Response
{
"status": "",
"failures": [
{
"entity": {},
"error": ""
}
],
"recordsToUpdate": "",
"recordsUpdated": ""
}GENERATED
// Default Response
{
"status": "",
"failures": [
{
"entity": {},
"error": ""
}
],
"recordsToUpdate": "",
"recordsUpdated": ""
}Update Subscriptions Response
{
"status": "SUCCESS",
"failures": null,
"recordsToUpdate": 1,
"recordsUpdated": 1
}